BEGIN TRY

BEGIN TRAN;

-- AlterTable
ALTER TABLE [dbo].[utilisateur] ALTER COLUMN [classe] NVARCHAR(1000) NULL;

-- CreateIndex
ALTER TABLE [dbo].[role] ADD CONSTRAINT [role_code_key] UNIQUE NONCLUSTERED ([code]);

-- CreateIndex
ALTER TABLE [dbo].[utilisateur] ADD CONSTRAINT [utilisateur_microsoft_id_key] UNIQUE NONCLUSTERED ([microsoft_id]);

-- CreateIndex
ALTER TABLE [dbo].[utilisateur] ADD CONSTRAINT [utilisateur_email_key] UNIQUE NONCLUSTERED ([email]);

COMMIT TRAN;

END TRY
BEGIN CATCH

IF @@TRANCOUNT > 0
BEGIN
    ROLLBACK TRAN;
END;
THROW

END CATCH
